curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lvz8ah06191smkebj4&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"}, {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}]}'
[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Reddit
按URL收集Reddit帖子
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lvz8ah06191smkebj4&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"}, {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}]}'
[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
查询参数
string
默认值:"gd_lvz8ah06191smkebj4"
必填
用于此请求的数据集 ID。
必须设置为
gd_lvz8ah06191smkebj4 以收集按 URL 获取的帖子数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_lvz8ah06191smkebj4 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?